MEEK-SERVER(1)

NAME
meek-server - The meek server transport plugin

SYNOPSIS

meek-server --cert=FILENAME --key=FILENAME [OPTIONS]

DESCRIPTION

meek-server is a transport plugin for Tor that encodes a stream as a sequence of HTTP requests and responses.

The server runs in HTTPS mode by default, and the --cert and --key options are required. Use the --disable-tls option to run with plain HTTP.

Configuration for meek-server usually appears in a torrc file. Here is a sample configuration using HTTPS:

    ExtORPort auto
    ServerTransportPlugin meek exec ./meek-server --port 8443 --cert cert.pem --key key.pem --log meek-server.log

Here is a sample configuration using plain HTTP:

    ExtORPort auto
    ServerTransportPlugin meek exec ./meek-server --port 8080 --disable-tls --log meek-server.log

OPTIONS

--cert=FILENAME
    Name of a PEM-encoded TLS certificate file. Required unless --disable-tls is used.

--disable-tls: Use plain HTTP rather than HTTPS.

--key=FILENAME: Name of a PEM-encoded TLS private key file. Required unless --disable-tls is used.

--log=FILENAME
    Name of a file to write log messages to (default stderr).

--port=PORT
    Port to listen on. Overrides the TOR_PT_SERVER_BINDADDR environment variable set by tor.

-h, --help
    Display a help message and exit.

SEE ALSO

https://trac.torproject.org/projects/tor/wiki/doc/meek

BUGS

Please report at https://trac.torproject.org/projects/tor.